effect clear @a[x=-200,y=-20,z=-200,dx=400,dy=35,dz=400]
effect give @a[x=-200,y=-20,z=-200,dx=400,dy=35,dz=400] instant_damage 20 100
effect give @a[x=-200,y=83,z=-200,dx=400,dy=20,dz=400,tag=playing] wither 1 3
gamemode adventure @a[x=-200,y=100,z=-200,dx=400,dy=100,dz=400,gamemode=survival]
gamemode survival @a[x=-200,y=87,z=-200,dx=400,dy=10,dz=400,gamemode=adventure]
effect give @a[tag=playing,nbt=!{ActiveEffects:[{Id:2}]}] speed 2 0 true
effect give @a[tag=playing,nbt=!{ActiveEffects:[{Id:4}]}] haste 1 0 true

tag @a remove in_blue_base
tag @a[x=-200,y=0,z=-200,dx=400,dy=150,dz=149] add in_blue_base
tag @a remove in_middle
tag @a[x=-56,y=0,z=-10,dx=112,dy=150,dz=20] add in_middle
tag @a remove in_red_base
tag @a[x=-200,y=0,z=51,dx=400,dy=150,dz=149] add in_red_base
tag @a remove in_blue_spawn
tag @a[x=-21,y=0,z=-186,dx=42,dy=150,dz=107] add in_blue_spawn
tag @a remove in_red_spawn
tag @a[x=-21,y=0,z=79,dx=42,dy=150,dz=107] add in_red_spawn

tag @a remove in_blue_def_tower
tag @a[x=-43,y=51,z=-115,dx=6,dy=15,dz=6] add in_blue_def_tower
tag @a[x=37,y=51,z=-115,dx=6,dy=15,dz=6] add in_blue_def_tower
tag @a remove in_red_def_tower
tag @a[x=-43,y=51,z=109,dx=6,dy=15,dz=6] add in_red_def_tower
tag @a[x=37,y=51,z=109,dx=6,dy=15,dz=6] add in_red_def_tower

execute unless score blue_score match_variable matches 2.. run effect give @a[team=blue,tag=in_red_def_tower] instant_damage 10 1
execute unless score red_score match_variable matches 2.. run effect give @a[team=red,tag=in_blue_def_tower] instant_damage 10 1

effect give @a[team=blue,tag=in_red_spawn] instant_damage
effect give @a[team=red,tag=in_blue_spawn] instant_damage

spawnpoint @a[team=blue] 0 54 -132 0
spawnpoint @a[team=red] 0 54 132 180

fill -1 54 -133 1 55 -131 air destroy
fill 1 54 133 -1 55 131 air destroy
fill -1 53 -133 1 53 -131 white_concrete
fill 1 53 133 -1 53 131 white_concrete

setblock -9 49 -109 enchanting_table
setblock 9 49 109 enchanting_table

execute unless score red_score match_variable matches 3.. run function ctw:z_fct/match/blue_warning
execute unless score blue_score match_variable matches 3.. run function ctw:z_fct/match/red_warning

# Weakness
execute if score red_score match_variable matches 2.. positioned -65 57 -155 run effect give @a[team=blue,distance=..6.5] weakness 2 1
execute if score red_score match_variable matches 2.. positioned 65 57 -155 run effect give @a[team=blue,distance=..6.5] weakness 2 1
execute if score blue_score match_variable matches 2.. positioned -65 57 155 run effect give @a[team=red,distance=..6.5] weakness 2 1
execute if score blue_score match_variable matches 2.. positioned 65 57 155 run effect give @a[team=red,distance=..6.5] weakness 2 1
