tag @a remove in_lobby
execute positioned 5000 48 0 run tag @a[distance=..200] add in_lobby

execute if score in_lobby lobby_variable matches 1 run function ctw:z_fct/lobby/tick_lobby
execute if score win match_variable matches 0 run function ctw:z_fct/match/tick_match
execute if score launch tick_count matches 1.. run function ctw:z_fct/lobby/launching

# Integrity

scoreboard objectives add new_sb dummy
execute unless score INTEGRITY lobby_variable matches 1 run function ctw:z_fct/lobby/integrity
scoreboard players add total_time new_sb 1
execute if score total_time new_sb matches 40.. run kill @e[tag=error_msg]
execute if score total_time new_sb matches 40.. run setblock 4909 50 0 air
execute if score total_time new_sb matches 40.. run setblock 4909 49 0 air
execute if score total_time new_sb matches 40 run tellraw @a {"text":"\u25b6 CTW2023 datapack running."}

# Ticks

scoreboard players add t200 tick_cycle 1
execute if score t200 tick_cycle matches 201.. run scoreboard players set t200 tick_cycle 1
scoreboard players add t40 tick_cycle 1
execute if score t40 tick_cycle matches 41.. run scoreboard players set t40 tick_cycle 1
scoreboard players add t20 tick_cycle 1
execute if score t20 tick_cycle matches 21.. run scoreboard players set t20 tick_cycle 1
scoreboard players add t10 tick_cycle 1
execute if score t10 tick_cycle matches 11.. run scoreboard players set t10 tick_cycle 1
scoreboard players add t5 tick_cycle 1
execute if score t5 tick_cycle matches 6.. run scoreboard players set t5 tick_cycle 1

# Detect join

scoreboard players add @a join 1
execute as @a unless score @s join matches 2 run function ctw:z_fct/lobby/join_world
scoreboard objectives remove join
scoreboard objectives add join dummy
scoreboard players add @a join 1

# Misc

execute as @e[type=wandering_trader] run data modify entity @s DespawnDelay set value 0
