execute unless score no_launch lobby_variable matches 1 run effect give @a weakness 1 255 true
execute if score INTEGRITY lobby_variable matches 1 run scoreboard players remove launch tick_count 1

execute if score launch tick_count matches 1499 run playsound minecraft:block.anvil.use master @a 0 150 0 0.5 2 0.5
execute if score launch tick_count matches 1499 run tellraw @a {"text":"\u25b6 Preparation of the match..."}

# CLEAR

# Skip
execute if score launch tick_count matches 1402 if score map_state lobby_variable matches 2.. run tellraw @a {"text":"\u25b6 Skipping clearing."}
execute if score launch tick_count matches 1402 if score map_state lobby_variable matches 2.. run scoreboard players set launch tick_count 1080

execute if score launch tick_count matches 1401 run playsound minecraft:block.anvil.use master @a 0 150 0 0.5 2 0.5
execute if score launch tick_count matches 1401 run tellraw @a {"text":"\u25b6 Starting clearing the whole map, you will experience some server lag, it can take a moment..."}
execute if score launch tick_count matches 1400 run function ctw:z_fct/generation/clear

# RNG

execute if score launch tick_count matches 1051 if score set_rng lobby_variable matches 1 run tellraw @a {"text":"\u25b6 Pre-configured RNG used."}
execute if score launch tick_count matches 1050 unless score set_rng lobby_variable matches 1 positioned 0 100 0 run function ctw:z_fct/generation/rng
execute if score launch tick_count matches 1050 run playsound minecraft:block.anvil.use master @a 0 150 0 0.5 2 0.5
execute if score launch tick_count matches 1050 run function ctw:z_fct/generation/disp_rng

# Skip
execute if score launch tick_count matches 1045 if score map_state lobby_variable matches 3.. run tellraw @a {"text":"\u25b6 Skipping generation."}
execute if score launch tick_count matches 1045 if score map_state lobby_variable matches 3.. run scoreboard players set launch tick_count 400

execute if score launch tick_count matches 1040 run tellraw @a {"text":"\u25b6 Generating in 12 seconds, reroll available."}
execute if score launch tick_count matches 860 run tellraw @a {"text":"\u25b6 Generating in 3 seconds..."}


# GENERATION

execute if score launch tick_count matches 801 run playsound minecraft:block.anvil.use master @a 0 150 0 0.5 2 0.5
execute if score launch tick_count matches 801 run tellraw @a {"text":"\u25b6 Generating terrain..."}
execute if score launch tick_count matches 800 run function ctw:z_fct/generation/build_map
execute if score launch tick_count matches 799 run playsound minecraft:block.anvil.use master @a 0 150 0 0.5 2 0.5
execute if score launch tick_count matches 799 run tellraw @a {"text":"\u25b6 Generation finished ! You might experience some lag for a moment."}

# Skip
execute if score launch tick_count matches 799 if score no_launch lobby_variable matches 1 run scoreboard players set launch tick_count 400

execute if score launch tick_count matches 600 run tellraw @a {"text":"\u25b6 Starting in 30 seconds."}

# Skip
execute if score launch tick_count matches 400 if score no_launch lobby_variable matches 1 run tellraw @a {"text":"\u25b6 Match ready for manual launching."}
execute if score launch tick_count matches 400 if score no_launch lobby_variable matches 1 run scoreboard players reset launch tick_count

# Config
execute if score launch tick_count matches 395 run function ctw:z_fct/lobby/config/display_config

# COUNTDOWN
execute if score launch tick_count matches 200 run tellraw @a {"text":"\u25b6 Starting in 10 seconds."}
execute if score launch tick_count matches 100 run playsound minecraft:entity.experience_orb.pickup master @a 0 150 0 1 1 1
execute if score launch tick_count matches 100 run tellraw @a {"text":"\u25b6 Starting in 5 seconds."}

execute if score launch tick_count matches 100 run title @a times 0 10 5
execute if score launch tick_count matches 100 run title @a title {"text":"5","bold":true,"color":"yellow"}
execute if score launch tick_count matches 80 run playsound minecraft:entity.experience_orb.pickup master @a 0 150 0 1 1 1
execute if score launch tick_count matches 80 run title @a title {"text":"4","bold":true,"color":"yellow"}
execute if score launch tick_count matches 60 run playsound minecraft:entity.experience_orb.pickup master @a 0 150 0 1 1 1
execute if score launch tick_count matches 60 run title @a title {"text":"3","bold":true,"color":"yellow"}
execute if score launch tick_count matches 40 run playsound minecraft:entity.experience_orb.pickup master @a 0 150 0 1 1 1
execute if score launch tick_count matches 40 run title @a title {"text":"2","bold":true,"color":"yellow"}
execute if score launch tick_count matches 20 run playsound minecraft:entity.experience_orb.pickup master @a 0 150 0 1 1 1
execute if score launch tick_count matches 20 run title @a title {"text":"1","bold":true,"color":"yellow"}

execute if score launch tick_count matches ..0 unless score no_launch lobby_variable matches 1 run function ctw:z_fct/match/launch_match

# Bossbar
scoreboard players set inv_launching temp 1500
scoreboard players operation inv_launching temp -= launch tick_count
execute store result bossbar ctw:launching value run scoreboard players get inv_launching temp
