execute as @a[tag=in_streak] if score @s streak < kills_for_streak CONSTANT run tag @s remove in_streak
execute as @a[tag=!in_streak] if score @s streak >= kills_for_streak CONSTANT run tag @s add entered_streak
execute as @a[tag=entered_streak] run tellraw @a [{"text":"\u25b6 "},{"selector":"@s"},{"text":" is in a kill streak ! "},{"text":"Kill them for reward !","color":"yellow"}]
execute at @a[tag=entered_streak] run playsound minecraft:entity.blaze.death master @a ~ ~ ~ 1 0.65 1
tag @a[tag=entered_streak] add in_streak
tag @a remove entered_streak

# Stop streak

scoreboard players reset @a[team=blue,scores={cancel_blue_streak=1..}] streak
scoreboard players reset @a[team=red,scores={cancel_red_streak=1..}] streak
tag @a[team=blue,scores={cancel_blue_streak=1..},tag=in_streak] add blue_streak_cancel
tag @a[team=red,scores={cancel_red_streak=1..},tag=in_streak] add red_streak_cancel
execute as @a[tag=blue_streak_cancel] run tag @s remove in_streak
execute as @a[tag=red_streak_cancel] run tag @s remove in_streak
execute as @a[tag=blue_streak_cancel] run tellraw @a [{"text":"\u25b6 Streak ended ! "},{"text":"Red players","color":"red"},{"text":" get shards and coins in their Ender Chests."}]
execute as @a[tag=red_streak_cancel] run tellraw @a [{"text":"\u25b6 Streak ended ! "},{"text":"Blue players","color":"blue"},{"text":" get shards and coins in their Ender Chests."}]
execute as @a[tag=blue_streak_cancel] run execute as @a[team=red] run function ctw:z_fct/match/economy/cancel_streak_reward
execute as @a[tag=red_streak_cancel] run execute as @a[team=blue] run function ctw:z_fct/match/economy/cancel_streak_reward

scoreboard players reset @a[tag=blue_streak_cancel] streak
scoreboard players reset @a[tag=red_streak_cancel] streak

scoreboard players reset @a cancel_blue_streak
scoreboard players reset @a cancel_red_streak
tag @a remove blue_streak_cancel
tag @a remove red_streak_cancel
